Package org.apache.wiki.auth.authorize

# Interface WebAuthorizer

All Superinterfaces:
  `Authorizer`

All Known Implementing Classes:
  `WebContainerAuthorizer`

public interface WebAuthorizer extends Authorizer
Extends the `Authorizer` interface by including a delegate method for `HttpServletRequest.isUserInRole(String)`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isUserInRole(jakarta.servlet.http.HttpServletRequest request, Principal role)`
Determines whether a user associated with an HTTP request possesses a particular role.

### Methods inherited from interface org.apache.wiki.auth.Authorizer

`findRole, getRoles, initialize, isUserInRole`

## Method Details

### isUserInRole

boolean isUserInRole(jakarta.servlet.http.HttpServletRequest request, Principal role)
Determines whether a user associated with an HTTP request possesses a particular role. This method simply delegates to `HttpServletRequest.isUserInRole(String)` by converting the Principal's name to a String.

Parameters:
  `request` - the HTTP request
  `role` - the role to check
Returns:
  `true` if the user is considered to be in the role, `false` otherwise